Subject: Re: Use case: GIT to manage transactions in a CMS?

From: Andreas Ericsson <[email-masked]>
Date: Wed, 15 Feb 2006 12:45:24 +0100

J. David Ibáñez wrote:
> Hello,
> 
> I am working on a project (a content management system) where the data
> is stored as files and folders.
> 
> Currently, for persistance and transactions we use the ZODB [1] object
> database. But our goal is to move away from the ZODB and use directly
> the file system, as it will allow us to use all the good unix tools.
> 
> We are using git to manage the source code. And now we are exploring git
> to see if it can do the job of transactions, so that each transaction in
> the system will be a git commit.
> 
> One problem we have found is that we can not commit empty directories (what
> we need to do). Any idea how to solve or work-around this constraint?
> 

$ touch empty/dir/.placeholder

> Any suggestions and input on this exotic use case for git will be very
> welcomed.
> 

Sounds cool. I'll have to give it a whirl when you've got something to show.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231